# lico-image-docker
This is for make docker images

## Installation
docker

## Usage

### build image from local file
You can make all the images at once

```
make all 
```
You can make all the images of a specific framework at once, all the images are in the dist directory

```
make caffe   

make tensorflow 

make mxnet 

make neon 

make chainer 

make intel-python

make intel-caffe

make pytorch

make letrain 

make jupyter

make lico-file-manager

make lico-k8s-client
```
You can also make a image at a time

The image naming method is: Frame Name:File Name

```
make caffe-cpu    

make caffe-gpu

make intel-caffe

make tensorflow-cpu

make tensorflow-mkl

make tensorflow-gpu

make tensorflow-hbase

make tensorflow-keras

make tensorflow-mongodb

make tensorflow2-cpu

make tensorflow2-gpu

make mxnet-cpu

make mxnet-gpu

make neon

make chainer

make pytorch

make scikit

make intel-python

make letrain-gpu

make letrain-cpu

make jupyter-cpu

make jupyter-gpu

make lico-file-manager

make lico-k8s-client
```
## Description of the use of images

| Build Image        | Image Name    | Description   |
| :--------   | :-----  | :---- |
| make caffe-cpu  | caffe:caffe-1.0-cpu |   submit caffe cpu jobs   |
| make caff-gpu    | caffe:caffe-1.0-gpu-cuda92  | submit caffe gpu jobs |
| make tensorflow-cpu| tensorflow:tensorflow-1.15.2-cpu| submit tensorflow cpu jobs |
| make tensorflow-mkl  | tensorflow:tensorflow-1.15.2-mkl |   submit tensorflow cpu jobs with mkl  |
| make tensorflow-gpu  | tensorflow:tensorflow-1.15.2-gpu-cuda100 | submit tensorflow gpu jobs |
| make tensorflow-hbase| tensorflow:tensorflow-1.15.2-gpu-cuda100-hbase| submit tensorflow gpu jobs with hbase|
| make tensorflow-keras  | tensorflow:tensorflow-1.15.2-gpu-cuda100-keras |   Submit tensorflow gpu jobs with keras   |
| make tensorflow-mongodb   | tensorflow:tensorflow-1.15.2-gpu-cuda100-mongodb  | submit tensorflow gpu jobs with mongodb |
| make tensorflow2-cpu   | tensorflow:tensorflow-2.1.0-cpu  | submit the version 2.1.0 of the tensorflow cpu jobs |
| make tensorflow2-gpu   | tensorflow:tensorflow-2.1.0-gpu-cuda100  | submit the version 2.1.0 of the tensorflow gpu jobs |
| make mxnet-cpu |mxnet:mxnet-1.5.0-cpu-mkl| submit mxnet cpu jobs |
| make mxnet-gpu | mxnet:mxnet-1.5.0-gpu-mkl-cuda100 |   submit mxnet gpu jobs   |
| make intel-caffe  | intel-caffe:intel-caffe-1.1.3-cpu  | submit intel-caffe jobs |
| make intel-python   | intel-python:intel-python | intel-python images |
| make neon    | neon:neon-2.6-cpu| submit neon jobs |
| make chainer   | chainer:chainer-6.7.0-gpu-cuda101 | submit chainer jobs |
| make letrain-gpu   | letrain:letrain-1.3-gpu-cuda100 | submit letrain-gpu jobs |
| make letrain-cpu   | letrain:letrain-1.3-cpu | submit letrain-cpu jobs |
| make pytorch | pytorch:pytorch-1.1.0-gpu-cuda100 | submit pytorch jobs |
| make lico-file-manager  | lico-file-manager:latest | file system service |
| make lico-k8s-client  | lico-k8s-client:latest | collect running job logs |
