# Copyright 2019-present Lenovo
# Confidential and Proprietary

from resoure import DeployServiceRunner


def create_app():
    import falcon
    import os

    api = falcon.API()

    api.req_options.strip_url_path_trailing_slash = True
    scenario = os.environ.get('LETRAIN_SCENARIO', '')
    model_path = os.environ.get('LETRAIN_MODEL_PATH', '')
    model_name = os.environ.get('LETRAIN_MODEL_NAME', '')
    service_uuid = os.environ.get('SERVICE_UUID', '')
    api.add_route(
        '/internal_api/service/{0}'.format(service_uuid),
        DeployServiceRunner(scenario, model_path, model_name)
    )

    return api
